Subject: Re: linux-next: manual merge of the perfmon3 tree

From: Ingo Molnar <[email-masked]>
Date: Tue, 25 Nov 2008 17:51:18 +0100

* stephane eranian <[email-masked]> wrote:

> Ingo,
> 
> 
> On Tue, Nov 25, 2008 at 4:33 PM, Ingo Molnar <[email-masked]> wrote:
> >
> > * stephane eranian <[email-masked]> wrote:
> >
> >> So I am not sure I understand your point about submitting the
> >> changes to the x86 tree first.
> >
> > You are modifying x86 architecture files to enable a kernel feature on
> > x86. Such feature enablement, if it's pushed into linux-next, must go
> > via the arch maintainers.
> >
> > The x86 impact of the perfmon3 tree is substantial:
> >
> [snip]
> >  25 files changed, 2340 insertions(+), 6 deletions(-)
> >
> > linux-next is not a development kernel - it is an integration tree
> > simulating the next version of the upstream kernel and hence all trees
> > that are in it must be synced up (and in this case, go via) their
> > respective maintainers.
> >
>
> Perfmon3 as it exists in linux-next has two components: generic + 
> x86 I can send [email-masked] the x86 specific patches to integrate 
> them into the x86 tree even though they would not be operational 
> without the generic part. But then, where do I send the generic 
> code?

There are a number of ways to do that - and we'll sure be able to work 
that out - but first please submit the full patchset (x86 and generic 
bits as well) to lkml with the x86 maintainers Cc:-ed.

In any case, until that happens and until there's agreement with the 
x86 maintainers (there's none at the moment) the perfmon3 tree (or at 
least its x86 bits) needs to be removed from linux-next. I already see 
a number of problems with the patchset that we'll have to work out via 
an iterative review process.

	Ingo